@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:wght@600&display=swap');
html{
    scroll-behavior: smooth;
}

body{
    margin: 0px;
    padding: 0px;
    font-family: 'Montserrat', sans-serif;
}
nav{
    display:flex;
    flex-wrap:wrap;
    justify-content: center;
    align-items: center;
    border-bottom: 5px solid #6f6f6f;
}

h1{
    color: white;
    font-family: 'Playfair Display', serif;
    font-size: 30px;
}

nav .onglets{
    margin-top: 8px;
    margin-left: 500px;
}
nav .onglets a{
    text-decoration: none;
    color: #000;
    margin-right: 10px;
    border-bottom: 1px solid #000;
    padding-bottom: 5px;
}

.header{
    display: flex;
    flex-direction: column;
    align-items: center;
    background:white;
    background-size: cover;
    color: #fff;
    padding: 40px;
}
.header h1{
    font-family: 'Playfair Display', serif;
    font-size: 50px;
}
.header h4{
    margin-top: -20px;
    font-size: 50px;
    text-align: center;
     color:rgb(100, 36, 100);

}
.header button{
    padding: 10px 20px;
    background-color: #fff;
    color:#000;
    
    margin-bottom: 30px;
    outline:none;
    font-size: 20px;
    font-family: 'Playfair Display', serif;
    cursor: pointer;

}




footer{
    margin-top: 40px;
    border-top: 5px solid #6f6f6f;
    background-color: rgb(0, 0, 0);
    color: #fff;
    padding: 30px 100px;;
}
footer h1{
    font-family: 'Playfair Display', serif;
    border-bottom: 1px solid white;
    width: 20%;
    padding-bottom: 5px;
}
footer .services{
    margin-top: -10px;
    display:flex;
    flex-wrap:wrap;
}
footer .services .service{
    margin-right: 30px;
}
footer .services .service p{
    max-width: 300px;
}
footer #contact{
    color: rgb(181, 181, 181);
}

@media screen and (max-width:680px){
    nav .onglets {
        margin-left: 0px;
        margin-bottom: 20px;
    }
    .main .card {
        margin: 10px;
    }
   
    footer{
        padding: 30px;
    }
}


.bg-header{
    background-color: #111;
}

.navbar-nav .nav-link{
    color: #cbd5db !important;
}

.navbar-nav .nav-link:hover{
    color: #fff !important;
}

.navbar-nav .nav-link.active{
    font-weight: 500;
}

.card-header{
    color: black;
}

.card-small{ /* Mettre une animation de transition; "aese-in-out" permet de faire 
    que tout type de transition qu'il aura lieu commence vite et termine doucement et tout se passe en 0,5s.*/
    transition: all ease-in-out .5s;
}


.card-small:hover{/* Dès qu'on survole un élément de type card-small, on appelle la propirété "transform"
  et on mondifie la taille avc scale; la taille sera mutlipliée par 1.1  */
    transform: scale(1.1);
}